services:
  email_log.global_search_filter:
    parent: 'api.filter.global_search_filter'
    arguments:
      $properties: [
        'recipient',
        'subject',
        'id',
      ]
    tags: [ 'api_platform.filter' ]

  email_log.order_filter:
    parent: 'api_platform.doctrine.orm.order_filter'
    arguments:
      $properties: { id: ~, recipient: ~, subject: ~, createdAt: ~ }
      $orderParameterName: order
    tags: [ 'api_platform.filter' ]

  email_log.search_filter:
    parent: 'api_platform.doctrine.orm.search_filter'
    arguments: [ { id: 'exact', recipient: 'exact', subject: 'exact' } ]
    tags:  [ 'api_platform.filter' ]